Récupérer les frais de paiement
curl --request GET \
--url https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"checkoutFees": [
{
"appliesToPaymentType": "<string>",
"feeValue": 123,
"feeValueType": "<string>",
"id": "<string>",
"name": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Frais
Retrieve checkout fees
Récupérer les paramètres actuels des frais de paiement pour votre compte HubSpot. Ce point de terminaison fournit des informations sur les frais appliqués lors du processus de paiement, ce qui peut être utile pour comprendre les coûts de transaction et configurer les paramètres de paiement.
GET
/
commerce
/
payments-settings
/
2027-03-beta
/
payments-settings
/
checkout-fees
Récupérer les frais de paiement
curl --request GET \
--url https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"checkoutFees": [
{
"appliesToPaymentType": "<string>",
"feeValue": 123,
"feeValueType": "<string>",
"id": "<string>",
"name": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Réponse
successful operation
Un tableau d'objets CheckoutFeePublic, chacun représentant un frais spécifique appliqué pendant le processus de paiement.
Show child attributes
Show child attributes
Dernière modification le 6 octobre 2026